package com.th.demo.service.common;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public interface CommonService {

    String queryPrimaryKey();

    String doProc(String procName, String param);

    String doProcQuery(String procName,  String param);

    String doProcQueryPage(String procName, int page, int rows, String param);

    String uploadImage(HttpServletRequest request) throws IOException;

    String queryImage(String fid);

    String uploadFile(HttpServletRequest request) throws IOException;

    String queryFile(String fid);

    String removeFile(String id,HttpServletRequest request);

    String removeImage(String id,HttpServletRequest request);

    String querySelector(String type);

    String uploadOneFileWithResult(HttpServletRequest request) throws IOException;

    void downloadByStream(String id, HttpServletRequest request,HttpServletResponse response);
}
